# $Revision: 1.29 $, $Date: 2003/09/09 10:25:00 $
Summary:	Support for messaging encryption with PGP
Summary(pl):	Wsparcie dla szyfrowania wiadomoci za pomoc PGP
Name:		xemacs-mailcrypt-pkg
%define 	srcname	mailcrypt
Version:	3.5.6
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://dl.sourceforge.net/mailcrypt/%{srcname}-%{version}.tar.gz
# Source0-md5:	3078e0674f70a345217799f623a5a436
Patch0:		%{name}-info.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://mailcrypt.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	xemacs
BuildRequires:	xemacs-mail-lib-pkg
Requires:	xemacs
Requires:	xemacs-base-pkg
Requires:	xemacs-fsf-compat-pkg
Requires:	xemacs-mail-lib-pkg
Conflicts:	xemacs-sumo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Support for messaging encryption with PGP.

%description -l pl
Wsparcie dla szyfrowania wiadomoci za pomoc PGP.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	lispdir=%{_datadir}/xemacs-packages/lisp/mailcrypt

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README.gpg README ONEWS NEWS INSTALL ChangeLog
%{_infodir}/*info*
%dir %{_datadir}/xemacs-packages/lisp/mailcrypt
%{_datadir}/xemacs-packages/lisp/mailcrypt/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-mailcrypt-pkg.spec,v $
Revision 1.29  2003/09/09 10:25:00  ankry
- spaces -> tab

Revision 1.28  2003/05/28 13:03:06  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:28:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.25  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.24  2002/11/29 22:47:54  ankry
- massive attack: new %%doc

Revision 1.23  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/04/24 22:58:25  marcus
- added autoconf
- rel.2.

Revision 1.21  2002/04/14 12:26:58  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.20  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.15  2001/05/28 15:11:54  misiek
BuildRequires: xemacs-mail-lib-pkg

Revision 1.14  2001/05/28 09:55:55  misiek
updated to 3.5.6; works with new gpg

Revision 1.13  2001/05/16 00:10:25  kloczek
- simplifications.

Revision 1.12  2001/05/15 23:59:42  kloczek
- spec adapterized,
- added DESTDIR patch and DESTDIR style install.

Revision 1.11  2001/05/15 12:55:43  misiek
3.5.5

Revision 1.10  2001/02/13 18:22:24  mis
- updated to 2.07

Revision 1.9  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.8  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.7  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.6  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:42:05  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
